petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscLogGpuTimeBegin

Start timer for device

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscLogGpuTimeBegin()

### Notes

The timer is run on the CPU, it is a separate logging of time devoted to GPU computations (including kernel launch times). This timer should NOT include times for data transfers between the GPU and CPU, nor setup actions such as allocating space. The regular logging captures the time for data transfers and any CPU activites during the event It is used to compute the flop rate on the GPU as it is actively engaged in running a kernel.

### See Also

PetscLogView(), PetscLogGpuFlops(), PetscLogGpuTimeEnd()

### Level

intermediate

### Location

src/sys/logging/../../../include/petsclog.h
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages